## xdotool 1.20100302.2708

=== Makefile ===
DESTDIR?=
PREFIX?=/usr/local
INSTALLBIN?=$(PREFIX)/bin
INSTALLLIB?=$(PREFIX)/lib
INSTALLMAN?=$(PREFIX)/man
INSTALLINCLUDE?=$(PREFIX)/include

DPREFIX=$(DESTDIR)$(PREFIX)
DINSTALLBIN=$(DESTDIR)$(INSTALLBIN)
DINSTALLLIB=$(DESTDIR)$(INSTALLLIB)
DINSTALLMAN=$(DESTDIR)$(INSTALLMAN)
DINSTALLINCLUDE=$(DESTDIR)$(INSTALLINCLUDE)

MAJOR=$(shell sh version.sh --major)
VERSION=$(shell sh version.sh)

WARNFLAGS+=-pedantic -Wall -W -Wundef \
           -Wendif-labels -Wshadow -Wpointer-arith -Wbad-function-cast \
           -Wcast-align -Wwrite-strings -Wstrict-prototypes \
           -Wmissing-prototypes -Wnested-externs -Winline \
           -Wdisabled-optimization -Wno-missing-field-initializers

CFLAGS?=-pipe $(WARNFLAGS)

DEFAULT_LIBS=-L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst
DEFAULT_INC=-I/usr/X11R6/include -I/usr/local/include

LIBS=$(shell pkg-config --libs x11 xtst 2> /dev/null || echo "$(DEFAULT_LIBS)")
INC=$(shell pkg-config --cflags x11 xtst 2> /dev/null || echo "$(DEFAULT_INC)")

CFLAGS+=-std=c99 $(INC)

all: xdotool xdotool.1 libxdo.so libxdo.so.$(MAJOR)

install: pre-install installlib installprog installman installheader

pre-install:
	install -d $(DPREFIX)

installprog: xdotool
	install -d $(DINSTALLBIN)
	install -m 755 xdotool $(DINSTALLBIN)/

installlib: libxdo.so
	install -d $(DINSTALLLIB)
	install libxdo.so $(DINSTALLLIB)/libxdo.so.$(MAJOR)
	ln -sf libxdo.so.$(MAJOR) $(DINSTALLLIB)/libxdo.so

installheader: xdo.h
	install -d $(DINSTALLINCLUDE)
	install xdo.h $(DINSTALLINCLUDE)/xdo.h

installman: xdotool.1
	install -d $(DINSTALLMAN)/man1
	install -m 644 xdotool.1 $(DINSTALLMAN)/man1/

deinstall: uninstall
uninstall: 
	rm -f $(DINSTALLBIN)/xdotool
	rm -f $(DINSTALLMAN)/xdotool.1
	rm -f $(DINSTALLLIB)/libxdo.so
	rm -f $(DINSTALLLIB)/libxdo.so.$(MAJOR)

clean:
	rm -f *.o xdotool xdotool.1 libxdo.so libxdo.so.? || true

xdo.o: xdo.c xdo_version.h
	$(CC) $(CFLAGS) -fPIC -c xdo.c

xdo_search.o: xdo_search.c
	$(CC) $(CFLAGS) -fPIC -c xdo_search.c

xdotool.o: xdotool.c xdo_version.h
	$(CC) $(CFLAGS) -c xdotool.c

xdo_search.c: xdo.h
xdo.c: xdo.h
xdotool.c: xdo.h

libxdo.so: xdo.o xdo_search.o
	$(CC) $(LDFLAGS) $(LIBS) -shared -Wl,-soname=libxdo.so.$(MAJOR) xdo.o xdo_search.o -o $@

libxdo.so.$(MAJOR): libxdo.so
	ln -s $< $@

xdotool: xdotool.o libxdo.so 
	$(CC) -o $@ xdotool.o -L. -lxdo $(LDFLAGS) 

xdotool.1: xdotool.pod
	pod2man -c "" -r "" xdotool.pod > $@

package: test-package-build create-package

test: xdotool libxdo.so.$(MAJOR)
	cd t/; sh run.sh

xdo_version.h:
	sh version.sh --header > $@

VERSION:
	sh version.sh --shell > $@

pre-create-package:
	rm -f VERSION xdo_version.h

create-package: pre-create-package VERSION xdo_version.h
	@NAME=xdotool-$(VERSION); \
	echo "Creating package: $$NAME"; \
	mkdir $${NAME}; \
	rsync --exclude .svn -a `ls -d *.pod COPYRIGHT *.c *.h examples t CHANGELIST README Makefile* version.sh VERSION 2> /dev/null` $${NAME}/; \
	tar -zcf $${NAME}.tar.gz $${NAME}/; \
	rm -rf $${NAME}/
	rm VERSION

# Make sure the package we're building compiles.
test-package-build: create-package
	@NAME=xdotool-$(VERSION); \
	echo "Testing package $$NAME"; \
	tar -zxf $${NAME}.tar.gz; \
	make -C $${NAME} xdotool; \
	rm -rf $${NAME}/
	rm -f $${NAME}.tar.gz

=== debian/changelog ===
xdotool (1:1.20100302.2708-1) unstable; urgency=low

  * New Upstream Release
  * removed all debian/patches (adopted by upstream).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 02 Mar 2010 12:47:06 -0500

xdotool (1:1.20100227.2679-1~pre1) UNRELEASED; urgency=low

  * New Upstream Release
  * debian/patches: dropping fixing_bash_variable_assignment (unneeded)
  * SONAME bump: libxdo0 → libxdo1
  * added build-dep on xfonts-base to make sure tests can run.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 01 Mar 2010 09:32:47 -0500

xdotool (1:0.20100118.2605-1~pre1) UNRELEASED; urgency=low

  * New Upstream Release (new version numbering scheme)
  * added epoch number since upstream's versioning has changed.
  * bumped Standards-Version to 3.8.4 (no changes needed).
  * changed debian/watch to match new versioning scheme (and ignore older
    versions).
  * changed to packaging format 3.0 (quilt).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 01 Mar 2010 00:46:30 -0500

xdotool (20091231.03-1) unstable; urgency=low

  * New upstream release (introduces new shared libxdo).
  * broke out library packaging (Closes: #560176)
  * switched test suite to use openbox instead of gnome to be easier on
    the buildd's.
  * added build-deps for full test suite coverage.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 05 Jan 2010 12:48:12 -0500

xdotool (20090815-3) unstable; urgency=low

  * added Build-Depends: x11-utils xterm (Closes: #560399)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 10 Dec 2009 16:58:14 -0500

xdotool (20090815-2) unstable; urgency=low

  * added Build-Depends: xauth (Closes: #560273)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 10 Dec 2009 11:50:56 -0500

xdotool (20090815-1) unstable; urgency=low

  * New upstream release
  * switched packaging to git-buildpackage
  * removed Dm-Upload-Allowed
  * bumped standards version
  * added xvfb to Build-Depends so that tests can be run

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 09 Dec 2009 13:37:58 -0500

xdotool (20090330-1) unstable; urgency=low

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 31 Mar 2009 12:34:58 -0400

xdotool (20090126-1) unstable; urgency=low

  * New upstream release
  * updated my e-mail address
  * now using debhelper override_dh_* targets
  * bumped policy to 3.8.1 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 31 Mar 2009 00:35:06 -0400

xdotool (20080720-1) unstable; urgency=low

  * New upstream release

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Sun, 20 Jul 2008 22:18:56 -0400

xdotool (20080716-1) unstable; urgency=low

  * New upstream release (Closes: #490824)

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Fri, 18 Jul 2008 18:08:39 -0400

xdotool (20080606-1) unstable; urgency=low

  * New upstream release (Closes: #458375)

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Fri, 06 Jun 2008 10:25:10 -0400

xdotool (20080603-1) unstable; urgency=low

  * New upstream release
  * Now including upstream changelog.
  * Return non-zero value when encountering an unknown command.

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Tue, 03 Jun 2008 09:59:19 -0400

xdotool (20071230-2) unstable; urgency=low

  * bumped to debhelper 7
  * minimized debian/rules

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Tue, 20 May 2008 10:46:35 -0400

xdotool (20071230-1) unstable; urgency=low

  * New Upstream Release (includes COPYRIGHT file)
  
 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Sun, 30 Dec 2007 15:05:28 -0500

xdotool (20070903-1) unstable; urgency=low

  * Initial packaging attempt.

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Sat, 29 Dec 2007 12:33:38 -0500

=== debian/control ===
Source: xdotool
Section: x11
Priority: extra
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: debhelper (>= 7.0.50), 
 pkg-config,
 libx11-dev,
 libxtst-dev,
 perl,
 xvfb,
 xkb-data,
 x11-xkb-utils,
 xauth,
 xterm,
 x11-utils,
 openbox | gnome-session,
 xfonts-base
Standards-Version: 3.8.4
Homepage: http://www.semicomplete.com/blog/projects/xdotool/
Vcs-Git: git://lair.fifthhorseman.net/~dkg/xdotool

Package: xdotool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simulate X11 keyboard/mouse input
 xdotool lets you programatically (or manually) simulate keyboard
 input and mouse activity, move and resize windows, etc. It does this
 using X11's XTEST extension and other Xlib functions.

Package: libxdo1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for simulating X11 keyboard/mouse input
 libxdo lets you programatically (or manually) simulate keyboard
 input and mouse activity, move and resize windows, etc. It does this
 using X11's XTEST extension and other Xlib functions.

Package: libxdo-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libxdo1 (= ${binary:Version})
Description: library for simulating X11 keyboard/mouse input
 libxdo lets you programatically (or manually) simulate keyboard
 input and mouse activity, move and resize windows, etc. It does this
 using X11's XTEST extension and other Xlib functions.
 .
 This package contains developer tools (headers, libraries) for libxdo.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:
	XSERVER=Xvfb dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs CHANGELIST

override_dh_auto_install:
	make install PREFIX=debian/tmp/usr INSTALLMAN=debian/tmp/usr/share/man

=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and
# more.  See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
http://code.google.com/p/semicomplete/downloads/list?q=label:xdotool .*xdotool-([0-9]+\.[0-9]{8}\.[0-9]+)\.tar\.gz

## xdotool 2.20100602.2915

=== Makefile ===
DESTDIR?=
PREFIX?=/usr/local
INSTALLBIN?=$(PREFIX)/bin
INSTALLLIB?=$(PREFIX)/lib
INSTALLMAN?=$(PREFIX)/man
INSTALLINCLUDE?=$(PREFIX)/include

DPREFIX=$(DESTDIR)$(PREFIX)
DINSTALLBIN=$(DESTDIR)$(INSTALLBIN)
DINSTALLLIB=$(DESTDIR)$(INSTALLLIB)
DINSTALLMAN=$(DESTDIR)$(INSTALLMAN)
DINSTALLINCLUDE=$(DESTDIR)$(INSTALLINCLUDE)

MAJOR=$(shell sh version.sh --major)
VERSION=$(shell sh version.sh)

WARNFLAGS+=-pedantic -Wall -W -Wundef \
           -Wendif-labels -Wshadow -Wpointer-arith -Wbad-function-cast \
           -Wcast-align -Wwrite-strings -Wstrict-prototypes \
           -Wmissing-prototypes -Wnested-externs -Winline \
           -Wdisabled-optimization -Wno-missing-field-initializers
LIBSUFFIX=$(shell sh platform.sh libsuffix)
VERLIBSUFFIX=$(shell sh platform.sh libsuffix $(MAJOR))
DYNLIBFLAG=$(shell sh platform.sh dynlibflag)
LIBNAMEFLAG=$(shell sh platform.sh libnameflag $(MAJOR) $(INSTALLLIB))
 
CFLAGS?=-pipe -O2 $(WARNFLAGS)

DEFAULT_LIBS=-L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst
DEFAULT_INC=-I/usr/X11R6/include -I/usr/local/include

LIBS=$(shell pkg-config --libs x11 xtst 2> /dev/null || echo "$(DEFAULT_LIBS)")
INC=$(shell pkg-config --cflags x11 xtst 2> /dev/null || echo "$(DEFAULT_INC)")

CFLAGS+=-std=c99 $(INC)

CMDOBJS= cmd_click.o cmd_mousemove.o cmd_mousemove_relative.o cmd_mousedown.o \
         cmd_mouseup.o cmd_getmouselocation.o cmd_type.o cmd_key.o \
         cmd_windowmove.o cmd_windowactivate.o cmd_windowfocus.o \
         cmd_windowraise.o cmd_windowsize.o cmd_set_window.o cmd_search.o \
         cmd_getwindowfocus.o cmd_getwindowpid.o cmd_getactivewindow.o \
         cmd_windowmap.o cmd_windowunmap.o cmd_set_num_desktops.o \
         cmd_get_num_desktops.o cmd_set_desktop.o cmd_get_desktop.o \
         cmd_set_desktop_for_window.o cmd_get_desktop_for_window.o

.PHONY: all
all: xdotool.1 libxdo.$(LIBSUFFIX) libxdo.$(VERLIBSUFFIX) xdotool

.PHONY: install
install: pre-install installlib installprog installman installheader post-install

.PHONY: pre-install
pre-install:
	install -d $(DPREFIX)

.PHONY: post-install
post-install:
	@if [ "$$(uname)" = "Linux" ] ; then \
		echo "Running ldconfig to update library cache"; \
		ldconfig \
		  || echo "Failed running 'ldconfig'. Maybe you need to be root?"; \
	fi


.PHONY: installprog
installprog: xdotool
	install -d $(DINSTALLBIN)
	install -m 755 xdotool $(DINSTALLBIN)/

.PHONY: installlib
installlib: libxdo.$(LIBSUFFIX)
	install -d $(DINSTALLLIB)
	install libxdo.$(LIBSUFFIX) $(DINSTALLLIB)/libxdo.$(VERLIBSUFFIX)
	ln -sf libxdo.$(VERLIBSUFFIX) $(DINSTALLLIB)/libxdo.$(LIBSUFFIX)

.PHONY: installheader
installheader: xdo.h
	install -d $(DINSTALLINCLUDE)
	install xdo.h $(DINSTALLINCLUDE)/xdo.h

.PHONY: installman
installman: xdotool.1
	install -d $(DINSTALLMAN)/man1
	install -m 644 xdotool.1 $(DINSTALLMAN)/man1/

.PHONY: deinstall
deinstall: uninstall

.PHONY: uninstall
uninstall: 
	rm -f $(DINSTALLBIN)/xdotool
	rm -f $(DINSTALLMAN)/xdotool.1
	rm -f $(DINSTALLLIB)/libxdo.$(LIBSUFFIX)
	rm -f $(DINSTALLLIB)/libxdo.$(VERLIBSUFFIX)

.PHONY: clean
clean:
	rm -f *.o xdotool xdotool.1 xdotool.html libxdo.$(LIBSUFFIX) libxdo.$(VERLIBSUFFIX) || true

xdo.o: xdo.c xdo_version.h
	$(CC) $(CFLAGS) -fPIC -c xdo.c

xdo_search.o: xdo_search.c
	$(CC) $(CFLAGS) -fPIC -c xdo_search.c

xdotool.o: xdotool.c xdo_version.h
	$(CC) $(CFLAGS) -c xdotool.c

xdo_search.c: xdo.h
xdo.c: xdo.h
xdotool.c: xdo.h

libxdo.$(LIBSUFFIX): xdo.o xdo_search.o
	$(CC) $(LDFLAGS) $(DYNLIBFLAG) $(LIBNAMEFLAG) xdo.o xdo_search.o -o $@ $(LIBS)

libxdo.$(VERLIBSUFFIX): libxdo.$(LIBSUFFIX)
	ln -s $< $@

xdotool: xdotool.o $(CMDOBJS) libxdo.$(LIBSUFFIX)
	$(CC) -o $@ xdotool.o $(CMDOBJS) -L. -lxdo $(LDFLAGS)  -lm

xdotool.1: xdotool.pod
	pod2man -c "" -r "" xdotool.pod > $@

showman: xdotool.1
	nroff -man $< | $$PAGER

xdotool.html: xdotool.pod
	pod2html $< > $@

.PHONY: package
package: test-package-build create-package

.PHONY: test
test: xdotool libxdo.$(VERLIBSUFFIX)
	$(MAKE) -C t

xdo_version.h:
	sh version.sh --header > $@

VERSION:
	sh version.sh --shell > $@

.PHONY: pre-create-package
pre-create-package:
	rm -f VERSION xdo_version.h

.PHONY: create-package
create-package: pre-create-package VERSION xdo_version.h
	@NAME=xdotool-$(VERSION); \
	echo "Creating package: $$NAME"; \
	mkdir $${NAME}; \
	rsync --exclude .svn --exclude '.*' -a `ls -d *.pod COPYRIGHT *.c *.h examples t CHANGELIST README Makefile* version.sh platform.sh VERSION 2> /dev/null` $${NAME}/; \
	tar -zcf $${NAME}.tar.gz $${NAME}/; \
	rm -r $${NAME}
	rm VERSION

# Make sure the package we're building compiles.
.PHONY: test-package-build
test-package-build: create-package
	@NAME=xdotool-$(VERSION) && \
	echo "Testing package $$NAME" && \
	tar -zxf $${NAME}.tar.gz && \
	make -C $${NAME} test && \
	echo "Package ready: $${NAME}"; \
	rm -rf $${NAME}

=== t/Makefile ===

all-headless: test-xvfb test-xvfb-openbox test-xvfb-gnome
all-xephyr: test-xephyr test-xephyr-openbox test-xephyr-gnome
all: all-headless all-xephyr 

test: all

# The loop-* targets are mainly for spinning until a test fails 
# so we can look for flakey tests.
loop-headless:
	while $(MAKE) $(MAKEARGS) all-headless; do true; done

loop-xephyr:
	while $(MAKE) $(MAKEARGS) all-xephyr; do true; done

loop-all:
	while $(MAKE) $(MAKEARGS) all; do true; done

do-test:
	@echo " => Running tests on $${XSERVER%% *}/$${WM:-no-windowmanager}"; \
	set -e; \
	make -C ../; \
	sh check-for-tools.sh || exit 0; \
	for i in test_*.rb ; do \
	  sh ephemeral-x.sh -q -x "$$XSERVER" -w "$$WM" ./run.sh -- ruby $$i; \
	done 

#sh ephemeral-x.sh -q -x "$$XSERVER" -w "$$WM" ./run.sh -- ruby alltests.rb

test-xephyr:
	QUIET=1 XSERVER="Xephyr -ac -screen 1280x768x24" $(MAKE) do-test

test-xvfb:
	QUIET=0 XSERVER="Xvfb -ac -screen 0 1280x768x24" $(MAKE) do-test

test-xvnc:
	QUIET=0 XSERVER="Xvnc" $(MAKE) do-test

test-xvfb-openbox:
	WM=openbox-session $(MAKE) test-xvfb

test-xephyr-openbox:
	WM=openbox-session $(MAKE) test-xephyr

test-xvfb-gnome:
	@echo "=> Note about gnome: Gnome tests will fail if you are already running gnome."
	WM=gnome-session $(MAKE) test-xvfb

test-xephyr-gnome:
	@echo "=> Note about gnome: Gnome tests will fail if you are already running gnome."
	WM=gnome-session $(MAKE) test-xephyr

=== debian/changelog ===
xdotool (1:2.20100602.2915-1) unstable; urgency=low

  * New Upstream Release
  * SONAME bump: libxdo1 → libxdo2
  
 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 01 Jun 2010 10:23:20 -0400

xdotool (1:1.20100318.2737-1) unstable; urgency=low

  * New Upstream Release (Closes: #575257)
  * Included some settings for how I use git-buildpackage for xdotool

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 24 Mar 2010 13:04:08 -0400

xdotool (1:1.20100312.2730-1~pre1) UNRELEASED; urgency=low

  * New Upstream Release
  * added ruby as build-dep for the new test suite.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 24 Mar 2010 13:03:32 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,9 @@
  xterm,
  x11-utils,
  openbox | gnome-session,
- xfonts-base
+ xfonts-base,
+ lsof,
+ ruby
 Standards-Version: 3.8.4
 Homepage: http://www.semicomplete.com/blog/projects/xdotool/
 Vcs-Git: git://lair.fifthhorseman.net/~dkg/xdotool
@@ -27,7 +29,7 @@
  input and mouse activity, move and resize windows, etc. It does this
  using X11's XTEST extension and other Xlib functions.
 
-Package: libxdo1
+Package: libxdo2
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -39,7 +41,7 @@
 Package: libxdo-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libxdo1 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libxdo2 (= ${binary:Version})
 Description: library for simulating X11 keyboard/mouse input
  libxdo lets you programatically (or manually) simulate keyboard
  input and mouse activity, move and resize windows, etc. It does this

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 %:
 	dh $@
-
-override_dh_auto_test:
-	XSERVER=Xvfb dh_auto_test
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELIST

## xdotool 2.20100701.2961

=== Makefile ===
--- 
+++ 
@@ -122,8 +122,13 @@
 xdotool.1: xdotool.pod
 	pod2man -c "" -r "" xdotool.pod > $@
 
+.PHONY: showman
 showman: xdotool.1
 	nroff -man $< | $$PAGER
+
+.PHONY: docs
+docs: Doxyfile xdo.h
+	doxygen
 
 xdotool.html: xdotool.pod
 	pod2html $< > $@
@@ -150,7 +155,7 @@
 	@NAME=xdotool-$(VERSION); \
 	echo "Creating package: $$NAME"; \
 	mkdir $${NAME}; \
-	rsync --exclude .svn --exclude '.*' -a `ls -d *.pod COPYRIGHT *.c *.h examples t CHANGELIST README Makefile* version.sh platform.sh VERSION 2> /dev/null` $${NAME}/; \
+	rsync --exclude .svn --exclude '.*' -a `ls -d *.pod COPYRIGHT *.c *.h examples t CHANGELIST README Makefile* version.sh platform.sh VERSION Doxyfile 2> /dev/null` $${NAME}/; \
 	tar -zcf $${NAME}.tar.gz $${NAME}/; \
 	rm -r $${NAME}
 	rm VERSION
@@ -161,7 +166,9 @@
 	@NAME=xdotool-$(VERSION) && \
 	echo "Testing package $$NAME" && \
 	tar -zxf $${NAME}.tar.gz && \
+	make -C $${NAME} docs && \
 	make -C $${NAME} test && \
 	echo "Package ready: $${NAME}"; \
 	rm -rf $${NAME}
 
+

=== t/Makefile ===
--- 
+++ 
@@ -1,6 +1,10 @@
+DEBUG?=0
+ifneq ($(DEBUG), 0)
+RUBYFLAGS=-d
+endif
 
-all-headless: test-xvfb test-xvfb-openbox test-xvfb-gnome
-all-xephyr: test-xephyr test-xephyr-openbox test-xephyr-gnome
+all-headless: test-xvfb-nowm test-xvfb-openbox test-xvfb-gnome
+all-xephyr: test-xephyr-nowm test-xephyr-openbox test-xephyr-gnome
 all: all-headless all-xephyr 
 
 test: all
@@ -22,7 +26,7 @@
 	make -C ../; \
 	sh check-for-tools.sh || exit 0; \
 	for i in test_*.rb ; do \
-	  sh ephemeral-x.sh -q -x "$$XSERVER" -w "$$WM" ./run.sh -- ruby $$i; \
+	  sh ephemeral-x.sh -q -x "$$XSERVER" -w "$$WM" ./run.sh ruby $(RUBYFLAGS) $$i $(TESTFLAGS); \
 	done 
 
 #sh ephemeral-x.sh -q -x "$$XSERVER" -w "$$WM" ./run.sh -- ruby alltests.rb
@@ -35,6 +39,12 @@
 
 test-xvnc:
 	QUIET=0 XSERVER="Xvnc" $(MAKE) do-test
+
+test-xvfb-nowm:
+	WM=none $(MAKE) test-xvfb
+
+test-xephyr-nowm:
+	WM=none $(MAKE) test-xephyr
 
 test-xvfb-openbox:
 	WM=openbox-session $(MAKE) test-xvfb

=== debian/changelog ===
xdotool (1:2.20100701.2961-3) unstable; urgency=low

  * remove build-dependency on lsof by using upstream's new
    t/ephemeral-x.sh (Closes: #590827)
  * disable tests using gnome-session, as they do not appear to even start
    up.
  * bumped Standards-Version to 3.9.1 (no changes needed).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 23 Sep 2010 15:26:15 -0400

xdotool (1:2.20100701.2961-2) unstable; urgency=low

  * avoid compressing .js files so that search functionality works in the
    documentation for libxdo-dev.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 01 Jul 2010 17:25:34 -0400

xdotool (1:2.20100701.2961-1) unstable; urgency=low

  * New Upstream Release (Closes: #586768) 
   - added two new symbols for libxdo2
   - ship html documentation for libxdo-dev
  * added procps as a build-dep so ephemeral-x.sh can find pkill.
  * bumped Standards-Version to 3.9.0 (no changes needed).
  * moved license into debian/copyright to avoid referencing deprecated
    common-licenses/BSD.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 01 Jul 2010 12:45:52 -0400

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,12 @@
  xauth,
  xterm,
  x11-utils,
- openbox | gnome-session,
+ openbox,
  xfonts-base,
- lsof,
- ruby
-Standards-Version: 3.8.4
+ procps,
+ ruby,
+ doxygen
+Standards-Version: 3.9.1
 Homepage: http://www.semicomplete.com/blog/projects/xdotool/
 Vcs-Git: git://lair.fifthhorseman.net/~dkg/xdotool

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	make docs

override_dh_installchangelogs:
	dh_installchangelogs CHANGELIST

override_dh_auto_install:
	make install PREFIX=debian/tmp/usr INSTALLMAN=debian/tmp/usr/share/man

override_dh_clean:
	dh_clean
	rm -rf docs/

override_dh_compress:
	dh_compress -X.js

## xdotool 2.20101012.3049-1

=== Makefile ===
--- 
+++ 
@@ -23,15 +23,15 @@
 VERLIBSUFFIX=$(shell sh platform.sh libsuffix $(MAJOR))
 DYNLIBFLAG=$(shell sh platform.sh dynlibflag)
 LIBNAMEFLAG=$(shell sh platform.sh libnameflag $(MAJOR) $(INSTALLLIB))
+LIBS=$(shell sh platform.sh extralibs)
  
 CFLAGS?=-pipe -O2 $(WARNFLAGS)
 
 DEFAULT_LIBS=-L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst
 DEFAULT_INC=-I/usr/X11R6/include -I/usr/local/include
 
-LIBS=$(shell pkg-config --libs x11 xtst 2> /dev/null || echo "$(DEFAULT_LIBS)")
+LIBS+=$(shell pkg-config --libs x11 xtst 2> /dev/null || echo "$(DEFAULT_LIBS)")
 INC=$(shell pkg-config --cflags x11 xtst 2> /dev/null || echo "$(DEFAULT_INC)")
-
 CFLAGS+=-std=c99 $(INC)
 
 CMDOBJS= cmd_click.o cmd_mousemove.o cmd_mousemove_relative.o cmd_mousedown.o \
@@ -39,12 +39,28 @@
          cmd_windowmove.o cmd_windowactivate.o cmd_windowfocus.o \
          cmd_windowraise.o cmd_windowsize.o cmd_set_window.o cmd_search.o \
          cmd_getwindowfocus.o cmd_getwindowpid.o cmd_getactivewindow.o \
-         cmd_windowmap.o cmd_windowunmap.o cmd_set_num_desktops.o \
+         cmd_windowmap.o cmd_windowunmap.o cmd_windowreparent.o \
+         cmd_set_num_desktops.o \
          cmd_get_num_desktops.o cmd_set_desktop.o cmd_get_desktop.o \
-         cmd_set_desktop_for_window.o cmd_get_desktop_for_window.o
+         cmd_set_desktop_for_window.o cmd_get_desktop_for_window.o \
+         cmd_get_desktop_viewport.o cmd_set_desktop_viewport.o \
+         cmd_windowkill.o cmd_behave.o cmd_window_select.o \
+         cmd_getwindowname.o cmd_behave_screen_edge.o \
+         cmd_windowminimize.o cmd_exec.o
 
 .PHONY: all
 all: xdotool.1 libxdo.$(LIBSUFFIX) libxdo.$(VERLIBSUFFIX) xdotool
+
+.PHONY: static
+static: xdotool.static
+
+.PHONY: install-static
+install-static: xdotool.static
+	install -d $(DINSTALLBIN)
+	install -m 755 xdotool.static $(DINSTALLBIN)/xdotool
+
+xdotool.static: xdotool.o $(CMDOBJS) xdo.o xdo_search.o
+	$(CC) -o xdotool.static xdotool.o xdo.o xdo_search.o $(CMDOBJS) $(LDFLAGS)  -lm $(LIBS)
 
 .PHONY: install
 install: pre-install installlib installprog installman installheader post-install
@@ -95,7 +111,8 @@
 
 .PHONY: clean
 clean:
-	rm -f *.o xdotool xdotool.1 xdotool.html libxdo.$(LIBSUFFIX) libxdo.$(VERLIBSUFFIX) || true
+	rm -f *.o xdotool xdotool.static xdotool.1 xdotool.html \
+	      libxdo.$(LIBSUFFIX) libxdo.$(VERLIBSUFFIX) || true
 
 xdo.o: xdo.c xdo_version.h
 	$(CC) $(CFLAGS) -fPIC -c xdo.c
@@ -116,8 +133,11 @@
 libxdo.$(VERLIBSUFFIX): libxdo.$(LIBSUFFIX)
 	ln -s $< $@
 
+# xdotool the binary requires libX11 now for XSelectInput and friends.
+# This requirement will go away once more things are refactored into
+# libxdo.
 xdotool: xdotool.o $(CMDOBJS) libxdo.$(LIBSUFFIX)
-	$(CC) -o $@ xdotool.o $(CMDOBJS) -L. -lxdo $(LDFLAGS)  -lm
+	$(CC) -o $@ xdotool.o $(CMDOBJS) -L. -lxdo $(LDFLAGS)  -lm $(LIBS)
 
 xdotool.1: xdotool.pod
 	pod2man -c "" -r "" xdotool.pod > $@

=== debian/changelog ===
xdotool (2.20101012.3049-1) unstable; urgency=low

  * Initial release

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Mon, 25 Apr 2011 19:30:52 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) all
	#docbook-to-man debian/xdotool.sgml > xdotool.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into opt/xdotool.
	$(MAKE) DESTDIR=/ install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## xdotool 2.20101012.3049-3

=== debian/changelog ===
xdotool (2.20101012.3049-3) unstable; urgency=low

  * Fixed bug with deb file

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Mon, 25 Apr 2011 19:30:52 +0200

=== debian/control ===
Source: xdotool
Section: libs
Priority: extra
Maintainer: Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>
Build-Depends: debhelper (>= 5), libx11-dev, libxtst-dev, libxext-dev, libxi-dev
Standards-Version: 3.7.2

Package: xdotool
Architecture: any
Depends: libx11
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2147
Description: Command line program simulating user input
 Command line program simulating user input

=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into opt/xdotool.
-	$(MAKE) DESTDIR=/ install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/xdotool install
 
 
 # Build architecture-independent files here.

## xdotool 2.20101012.3049-4

=== debian/changelog ===
xdotool (2.20101012.3049-4) unstable; urgency=low

  * Fixed bug with dependencies

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Fri, 6 May 2011 00:30:03 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: xdotool
 Architecture: any
-Depends: libx11
+Depends: ${shlibs:Depends}, ${misc:Depends}
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2147
 Description: Command line program simulating user input
  Command line program simulating user input

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	dh_clean -k 
 	dh_installdirs
 
-	# Add here commands to install the package into opt/xdotool.
+	# Add here commands to install the package into debian/xdotool.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/xdotool install

## xdotool 2.20101012.3049-5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 DESTDIR?=
-PREFIX?=/usr/local
+PREFIX?=/opt/xdotool
 INSTALLBIN?=$(PREFIX)/bin
 INSTALLLIB?=$(PREFIX)/lib
 INSTALLMAN?=$(PREFIX)/man
@@ -58,12 +58,13 @@
 install-static: xdotool.static
 	install -d $(DINSTALLBIN)
 	install -m 755 xdotool.static $(DINSTALLBIN)/xdotool
+	ln -sf $(DINSTALLBIN)/xdotool /usr/bin/xdotool
 
 xdotool.static: xdotool.o $(CMDOBJS) xdo.o xdo_search.o
 	$(CC) -o xdotool.static xdotool.o xdo.o xdo_search.o $(CMDOBJS) $(LDFLAGS)  -lm $(LIBS)
 
 .PHONY: install
-install: pre-install installlib installprog installman installheader post-install
+install: pre-install installlib installprog post-install
 
 .PHONY: pre-install
 pre-install:

=== debian/changelog ===
xdotool (2.20101012.3049-5) unstable; urgency=low

  * Saving rootfs space

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Fri, 6 May 2011 00:44:24 +0200

=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/xdotool.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/xdotool install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/xdotool install-static
 
 
 # Build architecture-independent files here.

## xdotool 2.20101012.3049-6

=== Makefile ===
--- 
+++ 
@@ -58,7 +58,7 @@
 install-static: xdotool.static
 	install -d $(DINSTALLBIN)
 	install -m 755 xdotool.static $(DINSTALLBIN)/xdotool
-	ln -sf $(DINSTALLBIN)/xdotool /usr/bin/xdotool
+	ln -fs /opt/xdotool/bin/xdotool $(DESTDIR)/usr/bin/xdotool
 
 xdotool.static: xdotool.o $(CMDOBJS) xdo.o xdo_search.o
 	$(CC) -o xdotool.static xdotool.o xdo.o xdo_search.o $(CMDOBJS) $(LDFLAGS)  -lm $(LIBS)

=== debian/changelog ===
xdotool (2.20101012.3049-6) unstable; urgency=low

  * Creating symlinks after install

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Sat, 7 May 2011 03:06:31 +0200

## xdotool 2.20110530.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 DESTDIR?=
-PREFIX?=/opt/xdotool
+PREFIX?=/usr/local
 INSTALLBIN?=$(PREFIX)/bin
 INSTALLLIB?=$(PREFIX)/lib
 INSTALLMAN?=$(PREFIX)/man
@@ -26,12 +26,13 @@
 LIBS=$(shell sh platform.sh extralibs)
  
 CFLAGS?=-pipe -O2 $(WARNFLAGS)
-
-DEFAULT_LIBS=-L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst
+CFLAGS+=-g # TODO(sissel): Comment before release
+
+DEFAULT_LIBS=-L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst -lXinerama
 DEFAULT_INC=-I/usr/X11R6/include -I/usr/local/include
 
-LIBS+=$(shell pkg-config --libs x11 xtst 2> /dev/null || echo "$(DEFAULT_LIBS)")
-INC=$(shell pkg-config --cflags x11 xtst 2> /dev/null || echo "$(DEFAULT_INC)")
+LIBS+=$(shell pkg-config --libs x11 xtst xinerama 2> /dev/null || echo "$(DEFAULT_LIBS)")
+INC=$(shell pkg-config --cflags x11 xtst xinerama 2> /dev/null || echo "$(DEFAULT_INC)")
 CFLAGS+=-std=c99 $(INC)
 
 CMDOBJS= cmd_click.o cmd_mousemove.o cmd_mousemove_relative.o cmd_mousedown.o \
@@ -46,7 +47,8 @@
          cmd_get_desktop_viewport.o cmd_set_desktop_viewport.o \
          cmd_windowkill.o cmd_behave.o cmd_window_select.o \
          cmd_getwindowname.o cmd_behave_screen_edge.o \
-         cmd_windowminimize.o cmd_exec.o
+         cmd_windowminimize.o cmd_exec.o cmd_getwindowgeometry.o \
+         cmd_sleep.o cmd_get_display_geometry.o
 
 .PHONY: all
 all: xdotool.1 libxdo.$(LIBSUFFIX) libxdo.$(VERLIBSUFFIX) xdotool
@@ -58,13 +60,12 @@
 install-static: xdotool.static
 	install -d $(DINSTALLBIN)
 	install -m 755 xdotool.static $(DINSTALLBIN)/xdotool
-	ln -fs /opt/xdotool/bin/xdotool $(DESTDIR)/usr/bin/xdotool
 
 xdotool.static: xdotool.o $(CMDOBJS) xdo.o xdo_search.o
 	$(CC) -o xdotool.static xdotool.o xdo.o xdo_search.o $(CMDOBJS) $(LDFLAGS)  -lm $(LIBS)
 
 .PHONY: install
-install: pre-install installlib installprog post-install
+install: pre-install installlib installprog installman installheader post-install
 
 .PHONY: pre-install
 pre-install:
@@ -113,7 +114,7 @@
 .PHONY: clean
 clean:
 	rm -f *.o xdotool xdotool.static xdotool.1 xdotool.html \
-	      libxdo.$(LIBSUFFIX) libxdo.$(VERLIBSUFFIX) || true
+	      libxdo.$(LIBSUFFIX) libxdo.$(VERLIBSUFFIX) libxdo.a || true
 
 xdo.o: xdo.c xdo_version.h
 	$(CC) $(CFLAGS) -fPIC -c xdo.c
@@ -130,6 +131,9 @@
 
 libxdo.$(LIBSUFFIX): xdo.o xdo_search.o
 	$(CC) $(LDFLAGS) $(DYNLIBFLAG) $(LIBNAMEFLAG) xdo.o xdo_search.o -o $@ $(LIBS)
+
+libxdo.a: xdo.o xdo_search.o
+	ar qv $@ xdo.o xdo_search.o
 
 libxdo.$(VERLIBSUFFIX): libxdo.$(LIBSUFFIX)
 	ln -s $< $@
@@ -155,7 +159,10 @@
 	pod2html $< > $@
 
 .PHONY: package
-package: test-package-build create-package
+package: test-package-build create-package create-package-deb
+
+.PHONY: package-deb
+package-deb: test-package-build create-package-deb
 
 .PHONY: test
 test: xdotool libxdo.$(VERLIBSUFFIX)
@@ -176,7 +183,7 @@
 	@NAME=xdotool-$(VERSION); \
 	echo "Creating package: $$NAME"; \
 	mkdir $${NAME}; \
-	rsync --exclude .svn --exclude '.*' -a `ls -d *.pod COPYRIGHT *.c *.h examples t CHANGELIST README Makefile* version.sh platform.sh VERSION Doxyfile 2> /dev/null` $${NAME}/; \
+	rsync --exclude '.*' -a `ls -d *.pod COPYRIGHT *.c *.h examples t CHANGELIST README Makefile* version.sh platform.sh VERSION Doxyfile 2> /dev/null` $${NAME}/; \
 	tar -zcf $${NAME}.tar.gz $${NAME}/; \
 	rm -r $${NAME}
 	rm VERSION
@@ -193,3 +200,60 @@
 	rm -rf $${NAME}
 
 
+### Build .deb packages for xdotool. The target 'create-package-deb' will
+# create {xdotool,xdotool-doc,libxdo$(MAJOR),libxdo$(MAJOR)-dev}*.deb packages
+# The reason I do this is to avoid any madness involved in dealing with
+# debuild, dh_make, and related tools. '.deb' packages are an 'ar' with two
+# tarballs.
+
+DEBDIR=deb-build
+create-package-deb: pre-create-package VERSION xdo_version.h
+	[ -d $(DEBDIR) ] && rm -r $(DEBDIR) || true
+	$(MAKE) xdotool.deb xdotool-doc.deb libxdo$(MAJOR).deb libxdo$(MAJOR)-dev.deb
+
+%.deb: $(DEBDIR)/usr
+	$(MAKE) $(DEBDIR)/$*/data.tar.gz $(DEBDIR)/$*/control.tar.gz \
+	        $(DEBDIR)/$*/debian-binary
+	wd=$$PWD; \
+	cd $(DEBDIR)/$*; \
+	  ar -qc $$wd/$*_$(VERSION)-1_$(shell uname -m).deb \
+	    debian-binary data.tar.gz control.tar.gz
+
+$(DEBDIR)/usr:
+	$(MAKE) install DESTDIR=$(DEBDIR) PREFIX=/usr INSTALLMAN=/usr/share/man
+
+$(DEBDIR)/xdotool $(DEBDIR)/xdotool-doc $(DEBDIR)/libxdo$(MAJOR) $(DEBDIR)/libxdo$(MAJOR)-dev:
+	mkdir -p $@
+
+$(DEBDIR)/%/debian-binary:
+	echo "2.0" > $@
+
+# Generate the 'control' file
+$(DEBDIR)/%/control: $(DEBDIR)/%/
+	sed -e 's/%VERSION%/$(VERSION)/g; s/%MAJOR%/$(MAJOR)/' \
+		ext/debian/$(shell echo $* | tr -d 0-9).control > $@
+
+# Generate the 'md5sums' file 
+$(DEBDIR)/%/md5sums: $(DEBDIR)/%/ $(DEBDIR)/%/data.tar.gz 
+	tar -ztf $(DEBDIR)/$*/data.tar.gz | (cd $(DEBDIR); xargs md5sum || true) > $@
+
+# Generate the 'control.tar.gz'
+$(DEBDIR)/%/control.tar.gz: $(DEBDIR)/%/control $(DEBDIR)/%/md5sums
+	tar -C $(DEBDIR)/$* -zcf $(DEBDIR)/$*/control.tar.gz control md5sums 
+
+# Build a tarball for xdotool files
+$(DEBDIR)/xdotool/data.tar.gz: $(DEBDIR)/xdotool/
+	tar -C $(DEBDIR) -zcf $@ usr/bin
+
+# Build a tarball for libxdo# files
+$(DEBDIR)/libxdo$(MAJOR)/data.tar.gz: $(DEBDIR)/libxdo$(MAJOR)/
+	tar -C $(DEBDIR) -zcf $@ usr/lib
+
+# Build a tarball for libxdo#-dev files
+$(DEBDIR)/libxdo$(MAJOR)-dev/data.tar.gz: $(DEBDIR)/libxdo$(MAJOR)-dev/
+	tar -C $(DEBDIR) -zcf $@ usr/include
+
+# Build a tarball for xdotool-doc files
+$(DEBDIR)/xdotool-doc/data.tar.gz: $(DEBDIR)/xdotool-doc/
+	tar -C $(DEBDIR) -zcf $@ usr/share
+

=== t/Makefile ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	make -C ../; \
 	sh check-for-tools.sh || exit 0; \
 	for i in test_*.rb ; do \
+	  echo "Running $$i"; \
 	  sh ephemeral-x.sh -q -x "$$XSERVER" -w "$$WM" ./run.sh ruby $(RUBYFLAGS) $$i $(TESTFLAGS); \
 	done

=== debian/changelog ===
xdotool (1:2.20110530.1-6) unstable; urgency=low

  * remove de and se symbol typing tests, since i can't seem to get
    upstream to debug them.  This is a move of despair :(

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 14 Nov 2012 15:42:02 -0500

xdotool (1:2.20110530.1-5) unstable; urgency=low

  * building against ruby 1.8 to try to deal with the buildd failures.
    (drops patch for #680284, since it is unneeded by ruby 1.8)
  * debian/control: bumped Standards-Version to 3.9.3 (no changes needed)
  * switch to dh compatibility level 9 for hardening

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 03 Aug 2012 03:13:15 -0400

xdotool (1:2.20110530.1-4) unstable; urgency=low

  * link properly on GNU/Hurd as well
  * use require_relative in the test suite (Closes: #680824) Thanks,
    Salvatore Bonaccorso!
  * avoid symbol typing tests that switch locales (Closes: #642404)
  * use patch from upstream to avoid C++ keyword (Closes: #663007)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 15 Jun 2011 11:30:52 -0400

xdotool (1:2.20110530.1-3) unstable; urgency=low

  * drop isatty() check in script_main() so xdotool can run even when it
    is not a tty.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 14 Jun 2011 15:44:34 -0400

xdotool (1:2.20110530.1-2) unstable; urgency=low

  * forgot to close upstream release bug (Closes: #618897)
  * using SHELL=/bin/bash for "make test"
  * patch platform.sh to use standard libc options for GNU/kFreeBSD
    (Closes: #629598)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 10 Jun 2011 01:17:33 -0400

xdotool (1:2.20110530.1-1) unstable; urgency=low

  * New Upstream release
  * removed debian/patches/fix-pod-errors.patch -- adopted upstream.
  * debian/control: bumped Standards-Version to 3.9.2 (no changes needed).
  * debian/rules: doxygen seems to want to place an unnecessary copy of
    jquery.js into docs/html/ -- force removal of it.
  * add libxinerama-dev to the build-deps

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 31 May 2011 10:48:09 -0400

xdotool (1:2.20101012.3049-1) unstable; urgency=low

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 12 Oct 2010 04:37:39 -0400

xdotool (1:2.20100818.3004-1) experimental; urgency=low

  * New upstream release
   - dropped remove-build-dep-on-lsof.patch, no longer needed.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 12 Oct 2010 04:36:59 -0400

=== debian/control ===
Source: xdotool
Section: x11
Priority: extra
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: debhelper (>= 9), 
 pkg-config,
 libx11-dev,
 libxtst-dev,
 libxinerama-dev,
 perl,
 xvfb,
 xkb-data,
 x11-xkb-utils,
 xauth,
 xterm,
 x11-utils,
 openbox,
 xfonts-base,
 procps,
 ruby1.8,
 doxygen
Build-Conflicts: ruby1.9.1
Standards-Version: 3.9.3
Homepage: http://www.semicomplete.com/blog/projects/xdotool/
Vcs-Git: git://lair.fifthhorseman.net/~dkg/xdotool

Package: xdotool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simulate X11 keyboard/mouse input
 xdotool lets you programatically (or manually) simulate keyboard
 input and mouse activity, move and resize windows, etc. It does this
 using X11's XTEST extension and other Xlib functions.

Package: libxdo2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for simulating X11 keyboard/mouse input
 libxdo lets you programatically (or manually) simulate keyboard
 input and mouse activity, move and resize windows, etc. It does this
 using X11's XTEST extension and other Xlib functions.

Package: libxdo-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libxdo2 (= ${binary:Version})
Description: library for simulating X11 keyboard/mouse input
 libxdo lets you programatically (or manually) simulate keyboard
 input and mouse activity, move and resize windows, etc. It does this
 using X11's XTEST extension and other Xlib functions.
 .
 This package contains developer tools (headers, libraries) for libxdo.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	make docs
	rm -f docs/html/jquery.js

override_dh_installchangelogs:
	dh_installchangelogs CHANGELIST

override_dh_auto_install:
	make install PREFIX=debian/tmp/usr INSTALLMAN=debian/tmp/usr/share/man

override_dh_clean:
	dh_clean
	rm -rf docs/

override_dh_compress:
	dh_compress -X.js

override_dh_auto_test:
	SHELL=/bin/bash dh_auto_test

## xdotool 3.20130111.1

=== Makefile ===
--- 
+++ 
@@ -23,15 +23,16 @@
 VERLIBSUFFIX=$(shell sh platform.sh libsuffix $(MAJOR))
 DYNLIBFLAG=$(shell sh platform.sh dynlibflag)
 LIBNAMEFLAG=$(shell sh platform.sh libnameflag $(MAJOR) $(INSTALLLIB))
-LIBS=$(shell sh platform.sh extralibs)
- 
+
 CFLAGS?=-pipe -O2 $(WARNFLAGS)
 CFLAGS+=-g # TODO(sissel): Comment before release
+CFLAGS+=$(CPPFLAGS)
 
 DEFAULT_LIBS=-L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst -lXinerama
 DEFAULT_INC=-I/usr/X11R6/include -I/usr/local/include
 
-LIBS+=$(shell pkg-config --libs x11 xtst xinerama 2> /dev/null || echo "$(DEFAULT_LIBS)")
+XDOTOOL_LIBS=$(shell pkg-config --libs x11 2> /dev/null || echo "$(DEFAULT_LIBS)")  $(shell sh platform.sh extralibs)
+LIBXDO_LIBS=$(shell pkg-config --libs xtst xinerama 2> /dev/null || echo "$(DEFAULT_LIBS)")
 INC=$(shell pkg-config --cflags x11 xtst xinerama 2> /dev/null || echo "$(DEFAULT_INC)")
 CFLAGS+=-std=c99 $(INC)
 
@@ -62,7 +63,7 @@
 	install -m 755 xdotool.static $(DINSTALLBIN)/xdotool
 
 xdotool.static: xdotool.o $(CMDOBJS) xdo.o xdo_search.o
-	$(CC) -o xdotool.static xdotool.o xdo.o xdo_search.o $(CMDOBJS) $(LDFLAGS)  -lm $(LIBS)
+	$(CC) -o xdotool.static xdotool.o xdo.o xdo_search.o $(CMDOBJS) $(LDFLAGS)  -lm $(XDOTOOL_LIBS) $(LIBXDO_LIBS)
 
 .PHONY: install
 install: pre-install installlib installprog installman installheader post-install
@@ -113,7 +114,7 @@
 
 .PHONY: clean
 clean:
-	rm -f *.o xdotool xdotool.static xdotool.1 xdotool.html \
+	rm -f *.o xdotool xdotool.static xdotool.1 xdotool.html xdo_version.h \
 	      libxdo.$(LIBSUFFIX) libxdo.$(VERLIBSUFFIX) libxdo.a || true
 
 xdo.o: xdo.c xdo_version.h
@@ -130,7 +131,7 @@
 xdotool.c: xdo.h
 
 libxdo.$(LIBSUFFIX): xdo.o xdo_search.o
-	$(CC) $(LDFLAGS) $(DYNLIBFLAG) $(LIBNAMEFLAG) xdo.o xdo_search.o -o $@ $(LIBS)
+	$(CC) $(LDFLAGS) $(DYNLIBFLAG) $(LIBNAMEFLAG) xdo.o xdo_search.o -o $@ $(LIBXDO_LIBS)
 
 libxdo.a: xdo.o xdo_search.o
 	ar qv $@ xdo.o xdo_search.o
@@ -141,8 +142,13 @@
 # xdotool the binary requires libX11 now for XSelectInput and friends.
 # This requirement will go away once more things are refactored into
 # libxdo.
+# TODO(sissel): only do this linker hack if we're using GCC?
+xdotool: LDFLAGS+=-Xlinker
+ifneq ($(WITHOUT_RPATH_FIX),1)
+xdotool: LDFLAGS+=-rpath=$(INSTALLLIB)
+endif
 xdotool: xdotool.o $(CMDOBJS) libxdo.$(LIBSUFFIX)
-	$(CC) -o $@ xdotool.o $(CMDOBJS) -L. -lxdo $(LDFLAGS)  -lm $(LIBS)
+	$(CC) -o $@ xdotool.o $(CMDOBJS) -L. -lxdo $(LDFLAGS)  -lm $(XDOTOOL_LIBS)
 
 xdotool.1: xdotool.pod
 	pod2man -c "" -r "" xdotool.pod > $@
@@ -165,8 +171,16 @@
 package-deb: test-package-build create-package-deb
 
 .PHONY: test
+test: WITH_SHELL=/bin/bash
 test: xdotool libxdo.$(VERLIBSUFFIX)
-	$(MAKE) -C t
+	echo $(WITH_SHELL)
+	if [ "$(WITH_SHELL)" = "/bin/sh" ] ; then \
+		echo "Shell '$(WITH_SHELL)' fails on some Linux distros because it could"; \
+		echo "be 'dash', a poorly implemented shell with bugs that break the"; \
+		echo "tests. You need to use bash, zsh, or ksh to run the tests."; \
+		exit 1; \
+	fi
+	SHELL=$(WITH_SHELL) $(MAKE) -C t
 
 xdo_version.h:
 	sh version.sh --header > $@

=== debian/changelog ===
xdotool (1:3.20130111.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use any available Ruby interpreter to run the tests.
    (Closes: #723648)

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 13 Feb 2014 02:13:46 +0100

xdotool (1:3.20130111.1-3) unstable; urgency=low

  * libxdo-dev now Depends: libx11-dev
  * upload to unstable
  * fail cleanly instead of segfaulting on libxdo initialization failure
    in xdotool (as-yet-unreleased patch from upstream)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 05 May 2013 13:22:28 -0400

xdotool (1:3.20130111.1-2) experimental; urgency=low

  * added libxdo3-dbg package for debug symbols for libxdo.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 17 Jan 2013 03:25:43 -0500

xdotool (1:3.20130111.1-1) experimental; urgency=low

  * new upstream release (includes API change and SONAME bump from 2 to 3)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 11 Jan 2013 21:35:25 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: x11
 Priority: extra
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Build-Depends: debhelper (>= 9), 
+Build-Depends:
+ debhelper (>= 9), 
  pkg-config,
  libx11-dev,
  libxtst-dev,
@@ -17,10 +18,10 @@
  openbox,
  xfonts-base,
  procps,
- ruby1.8,
+ ruby,
+ ruby-test-unit,
  doxygen
-Build-Conflicts: ruby1.9.1
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.semicomplete.com/blog/projects/xdotool/
 Vcs-Git: git://lair.fifthhorseman.net/~dkg/xdotool
 
@@ -32,7 +33,7 @@
  input and mouse activity, move and resize windows, etc. It does this
  using X11's XTEST extension and other Xlib functions.
 
-Package: libxdo2
+Package: libxdo3
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -44,10 +45,28 @@
 Package: libxdo-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libxdo2 (= ${binary:Version})
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ libxdo3 (= ${binary:Version}),
+ libx11-dev
 Description: library for simulating X11 keyboard/mouse input
  libxdo lets you programatically (or manually) simulate keyboard
  input and mouse activity, move and resize windows, etc. It does this
  using X11's XTEST extension and other Xlib functions.
  .
  This package contains developer tools (headers, libraries) for libxdo.
+
+Package: libxdo3-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends:
+ libxdo3 (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for libxdo3
+ libxdo lets you programatically (or manually) simulate keyboard
+ input and mouse activity, move and resize windows, etc. It does this
+ using X11's XTEST extension and other Xlib functions.
+ .
+ This package contains the debugging symbols for libxdo3

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build
+	dh_auto_build -- WITHOUT_RPATH_FIX=1
 	make docs
 	rm -f docs/html/jquery.js
 
@@ -21,4 +21,8 @@
 	dh_compress -X.js
 
 override_dh_auto_test:
-	SHELL=/bin/bash dh_auto_test
+	SHELL=/bin/bash dh_auto_test -- HEADLESS_TESTS="test-xvfb-nowm test-xvfb-openbox" XEPHYR_TESTS="test-xephyr-nowm test-xephyr-openbox" SKIP_KNOWN_BROKEN_TESTS=1
+
+override_dh_strip:
+	dh_strip -plibxdo3 --dbg-package=libxdo3-dbg
+	dh_strip

=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and
# more.  See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# busted since around 2010-04 or so, due to silliness from googlecode:
#http://code.google.com/p/semicomplete/downloads/list?q=label:xdotool .*xdotool-([0-9]+\.[0-9]{8}\.[0-9]+)\.tar\.gz

# thanks to David Paleino for the hosted workaround:
http://googlecode.debian.net/p/semicomplete/xdotool-(\d+\.\d{8}\.\d*).tar.gz
